Create RSVP for timeslot
2 min
Create RSVP from timeslot
Create a new RSVP for timeslot
POST
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendance_registrations
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request POST 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'\
--data '{
{
"timeslot_id": {timeslotId},
"attendee_id": {attendeeId}
}
}'200
{
"data": {
"id": "5585",
"type": "attendance-registration",
"attributes": {
"checked-in-at": null
},
"relationships": {
"timeslot": {
"data": {
"id": "17516",
"type": "timeslot"
}
},
"user": {
"data": {
"id": "1071272",
"type": "user"
}
}
}
}
}REQUEST BODY
{
{
"timeslot_id": {timeslotId},
"attendee_id": {attendeeId}
}
}
Required attributes:
- timeslot_id (Number)
- attendee_id (Number)
Notes:
- The timeslot_id and attendee_id can alternatively be passed as path parameters in the URL (instead of in the body).
- In order for the request to succeed, the timeslot in question needs to have RSVP enabled via the admin panel.